petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexPermute

Reorder the mesh according to the input permutation

### Synopsis

    #include "petscdmplex.h"
    #include "petscmat.h"
    PetscErrorCode DMPlexPermute(DM dm, IS perm, DM *pdm)

Collective on DM Many br

### Input Parameter

| dm | - The DMPlex object Many br
| perm | - The point permutation, perm[old point number] = new point number Many br

### Output Parameter

pdm -The permuted DM Many br

Many br

### Keywords

mesh

### See Also

MatPermute()

Level:intermediate
Location:src/dm/impls/plex/plexreorder.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages